Mcrypt 설치 요구 사항

이러한 함수는 » mcrypt를 사용하여 작동합니다. 사용하려면 » http://mcrypt.sourceforge.net/에서 libmcrypt-x.x.tar.gz를 다운로드하고 포함된 설치 지침을 따르세요.

libmcrypt 버전 2.5.6 이상이 필요합니다.

Windows 사용자는 라이브러리가 PHP 5.2 Windows 바이너리 릴리스임을 알게 될 것입니다. PHP 5.3 Windows 바이너리는 MCrypt 라이브러리의 정적 버전을 사용하므로 DLL이 필요하지 않습니다.

libmcrypt 2.4.x 이상에 대해 링크한 경우 CAST, LOKI97, RIJNDAEL, SAFERPLUS, SERPENT 및 ENIGMA(crypt), PANAMA, RC4 및 WAKE 스트림 암호와 같은 추가 블록 알고리즘이 지원됩니다. libmcrypt 2.4.x 이상에서는 다른 암호 모드도 사용할 수 있습니다. NOFB.